import { world } from "@minecraft/server";
import { DUMMY } from "./specific/dummy";

world.afterEvents.dataDrivenEntityTrigger.subscribe(ev => {
    const {eventId, entity, getModifiers} = ev

    const entityId = entity.typeId

    if (DUMMY.hasNoAttention(entity, eventId)) DUMMY.reload(entity)
})